mmgallery thumbs.php 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1111654 漏洞类型 跨站脚本
发布时间 2006-11-24 更新时间 2006-11-27
CVE编号 CVE-2006-6118 CNNVD-ID CNNVD-200611-412
漏洞平台 PHP CVSS评分 6.8
|漏洞来源
https://www.exploit-db.com/exploits/29177
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200611-412
|漏洞详情
mmgallery中的thumbs.php中存在跨站脚本(XSS)漏洞,远程攻击者可通过page参数注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/21281/info

The mmgallery script is prone to a cross-site scripting vulnerability because it fails to properly sanitize user-supplied input. 

An attacker may leverage this issue to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

Version 1.55 is vulnerable to this issue; other versions may also be affected.

http://www.example.com/thumbs.php?page='>
|参考资料

来源:BID
名称:21281
链接:http://www.securityfocus.com/bid/21281
来源:BUGTRAQ
名称:20061124mmgalleryMultiplevulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/452558/100/0/threaded
来源:SECTRACK
名称:1017283
链接:http://securitytracker.com/id?1017283
来源:SREASON
名称:1917
链接:http://securityreason.com/securityalert/1917
来源:SECUNIA
名称:23130
链接:http://secunia.com/advisories/23130